liblablgtk2-ocaml_2.18.8+dfsg-1_amd64.deb


Advertisement

Description

liblablgtk2-ocaml - runtime libraries for OCaml bindings for GTK+ version 2

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename liblablgtk2-ocaml_2.18.8+dfsg-1_amd64.deb
Package name liblablgtk2-ocaml
Package version 2.18.8+dfsg
Package release 1
Package architecture amd64
Package type deb
Category implemented-in::ocaml ocaml role::shared-lib uitoolkit::gtk
Homepage http://garrigue.github.io/lablgtk/
License -
Maintainer Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Download size 825.75 KB
Installed size 4.87 MB

Alternatives

Package Version Architecture Repository
liblablgtk2-ocaml_2.18.8+dfsg-1_i386.deb 2.18.8+dfsg i386 Debian Main
liblablgtk2-ocaml - - -

Requires

Name Value
libc6 >= 2.14
libgdk-pixbuf2.0-0 >= 2.22.0
libglade2-0 >= 1:2.6.4-2~
libglib2.0-0 >= 2.35.9
libgtk2.0-0 >= 2.24.32
libgtkspell0 >= 2.0.10
libpango-1.0-0 >= 1.22.0
ocaml-base-nox-4.05.0 -

Provides

Name Value
liblablgtk2-ocaml-0dsg6 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package liblablgtk2-ocaml_2.18.8+dfsg-1_amd64.deb
Source Package lablgtk2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblablgtk2-ocaml deb package:
    # sudo apt-get install liblablgtk2-ocaml

Files

Path
/usr/lib/ocaml/lablgtk2/META
/usr/lib/ocaml/lablgtk2/lablglade.cma
/usr/lib/ocaml/lablgtk2/lablglade.cmxs
/usr/lib/ocaml/lablgtk2/lablgtk.cma
/usr/lib/ocaml/lablgtk2/lablgtk.cmxs
/usr/lib/ocaml/lablgtk2/lablgtkspell.cma
/usr/lib/ocaml/lablgtk2/lablgtkspell.cmxs
/usr/lib/ocaml/stublibs/dlllablglade2.so
/usr/lib/ocaml/stublibs/dlllablgtk2.so
/usr/lib/ocaml/stublibs/dlllablgtkspell.so
/usr/share/doc/liblablgtk2-ocaml/README.gz
/usr/share/doc/liblablgtk2-ocaml/changelog.Debian.gz
/usr/share/doc/liblablgtk2-ocaml/changelog.gz
/usr/share/doc/liblablgtk2-ocaml/copyright

Changelog

2019-08-19 - Stéphane Glondu <glondu@debian.org>
lablgtk2 (2.18.8+dfsg-1) unstable; urgency=medium
* New upstream release
* Update Homepage and debian/watch
* Bump Standards-Version to 4.4.0
* Bump debhelper compat level to 12
* Remove Samuel from Uploaders
* Remove camlp4 from Build-Depends
2019-02-13 - Stéphane Glondu <glondu@debian.org>
lablgtk2 (2.18.5+dfsg-3) unstable; urgency=medium
* Add liblablgtksourceview2-ocaml{,-dev} back
* Update version in META files (Closes: #822949)
2018-10-16 - Stéphane Glondu <glondu@debian.org>
lablgtk2 (2.18.5+dfsg-2) unstable; urgency=medium
* Build without gtksourceview2 and gnomecanvas (Closes: #885677)
* Remove findlib package lablgtk2-gnome.panel
* Switch Vcs-* to salsa and other minor changes
2017-07-17 - Stéphane Glondu <glondu@debian.org>
lablgtk2 (2.18.5+dfsg-1) unstable; urgency=medium
* New upstream release
* Build without libgnomeui (Closes: #868392)
2016-07-30 - Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
lablgtk2 (2.18.3+dfsg-2) unstable; urgency=medium
* Team upload.
* Pull sources from the build path for building documentation.
(Closes: #806625)
* debian/control: Use HTTPS for Vcs-* links
* debian/control: Bump Standards-Version to 3.9.8.
No change required
* Fix debian/copyright.
Invalid shortnames were used for licences
2015-10-11 - Stéphane Glondu <glondu@debian.org>
lablgtk2 (2.18.3+dfsg-1) unstable; urgency=medium
* New upstream release
- Remove "Don't install *Props.* files." patch. With OCaml 4.02, these
files are needed for e.g. mldonkey, coq.
- Remove -pp & -no-custom-tags from dh_ocamldoc (causes FTBFS)
* Set filter-pristine-tar options in debian/gbp.conf
2013-12-03 - Stéphane Glondu <glondu@debian.org>
lablgtk2 (2.16.0+dfsg-1) unstable; urgency=low
* Upload to unstable
2013-07-26 - Stéphane Glondu <glondu@debian.org>
lablgtk2 (2.16.0+dfsg-1~exp3) experimental; urgency=low
* Fix installation of META files
* Respect upstream convention for lablgtk2.sourceview2
2013-07-26 - Stéphane Glondu <glondu@debian.org>
lablgtk2 (2.16.0+dfsg-1~exp2) experimental; urgency=low
* Update version in META files
2013-05-12 - Lifeng Sun <lifongsun@gmail.com>
lablgtk2 (2.16.0+dfsg-1~exp1) experimental; urgency=low
[ Lifeng Sun ]
* Team upload.
* New upstream release.
* Build depends on ocaml-findlib.
* Switch debian/copyright to Machine readable format.
* Bump debhelper compat level to 9.
* debian/control:
- Bump Standards-Version to 3.9.4.
- Update Homepage.
- Build depends on ocaml-findlib.
[ Sylvain Le Gall ]
* Remove Sylvain Le Gall from uploaders

See Also

Package Description
liblablgtk3-ocaml-dev_3.0~beta6-2_amd64.deb OCaml bindings to Gtk+ version 3 (development files)
liblablgtk3-ocaml-doc_3.0~beta6-2_all.deb OCaml bindings to Gtk+ version 3 (documentation)
liblablgtk3-ocaml_3.0~beta6-2_amd64.deb OCaml bindings to Gtk+ version 3 (runtime)
liblablgtkmathview-ocaml-dev_0.7.8-7+b1_amd64.deb OCaml bindings for libgtkmathview, a GTK widget to render MathML
liblablgtkmathview-ocaml_0.7.8-7+b1_amd64.deb OCaml bindings for libgtkmathview (runtime)
liblablgtksourceview2-ocaml-dev_2.18.8+dfsg-1_amd64.deb OCaml bindings for libgtksourceview2, a source editor GTK+ widget
liblablgtksourceview2-ocaml_2.18.8+dfsg-1_amd64.deb OCaml bindings for libgtksourceview2 (runtime)
liblablgtksourceview3-ocaml-dev_3.0~beta6-2_amd64.deb OCaml bindings for libgtksourceview3 (development files)
liblablgtksourceview3-ocaml_3.0~beta6-2_amd64.deb OCaml bindings for libgtksourceview3 (runtime)
liblablgtkspell3-ocaml-dev_3.0~beta6-2_amd64.deb OCaml bindings for libgtkspell3 (development files)
liblablgtkspell3-ocaml_3.0~beta6-2_amd64.deb OCaml bindings for libgtkspell3 (runtime)
liblabltk-ocaml-dev_8.06.2+dfsg-1+b2_amd64.deb OCaml bindings to Tcl/Tk (dev. libraries)
liblabltk-ocaml_8.06.2+dfsg-1+b2_amd64.deb OCaml bindings to Tcl/Tk (runtime libraries)
libladr-dev_0.0.200911a-2.1+b2_amd64.deb the LADR deduction library, development files
libladr4_0.0.200911a-2.1+b2_amd64.deb the LADR deduction library
Advertisement
Advertisement